ossdetect(8)

NAME
ossdetect - Open Sound System audio device detection program.

SYNOPSIS
ossdetect [-diuv] [-m<mode>] [-L<path>]

DESCRIPTION
The ossdetect application performs automatic detection of soundcards. The application looks at the $OSSETCDIR/device.list and performs automatic detection. It will create a file with the list of the configured drivers in $OSSETCDIR/installed_drivers. OSSETCDIR is decided by reading /etc/oss.conf, and defaults to /etc/oss4.

The Input Multiplexer driver (IMUX) is not configured by default and can be added to the OSS configuration using the -i option.

OPTIONS

-d  Create device file links.

-i  Adds the oss_imux driver.

-m<mode>
    Create nodes with permissions set to octal <mode>.

-g<group>
    Create nodes with group ownership set to <group>.

-u  Adds the oss_userdev driver.

-v  Verbose output.

-L<path>
    Use <path> as root directory for OSS files. Default: Path from /etc/oss.conf, followed by /usr/lib/oss.

SEE ALSO
ossdevlinks(1), ossinfo(1)

FILES
/etc/oss.conf /usr/sbin/ossdetect

AUTHOR
4Front Technologies